Invoice transactions

On-chain transactions linked to the invoice.

GET/invoices/{invoiceId}/transactions

System information

API key
Required
Rate limit
∞
curl "https://api.atomic.wallet/api/v1/invoices/{invoiceId}/transactions" \
  -H "x-api-key: $API_KEY"
{
  "items": [
    {
      "uuid": "b8a4e1f2-3c5d-4e6f-8a9b-0c1d2e3f4a5b",
      "invoiceUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "coinCode": "USDT",
      "networkCode": "tron",
      "type": "invoice_payment",
      "direction": "incoming",
      "status": "pending",
      "merchantAmount": "100.000000",
      "txid": "5f1c0d6b2a7e4c3f9e8d7c6b5a4f3e2d1c0b9a8f7e6d5c4b3a2f1e0d9c8b7a6f",
      "confirmationsCurrent": 0,
      "serviceFee": "1.000000",
      "networkFee": "0.000000"
    }
  ]
}

Response fields

ParameterTypeDescription
itemsarrayInvoice transactions.
items[].uuidstringTransaction UUID.
items[].invoiceUuidstringUUID of the related invoice.
items[].coinCodestringCryptocurrency code.
items[].networkCodestringBlockchain network code.
items[].typestringTransaction type.
items[].directionstringDirection: incoming or outgoing.
items[].statusstringTransaction status.
items[].merchantAmountstringAmount credited to the merchant.
items[].txidstringBlockchain transaction hash.
items[].confirmationsCurrentintegerCurrent number of confirmations.
items[].serviceFeestringService fee.
items[].networkFeestringNetwork fee.

Possible errors

HTTPCodeDescription
404INVOICE_NOT_FOUNDInvoice not found.